Skip to main content
Security & Audit/Security

ListCVERules

List CVE rules, optionally filtered by severity.

GET/api/v1/security/cve-rules

Operation ID

ListCVERules

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • severity
    String

    Filter by severity level, e.g. "CRITICAL", "HIGH" Filter by severity level, e.g. "CRITICAL", "HIGH"

  • pageSize
    Integer

    Maximum number of rules to return per page Maximum number of rules to return per page

    Example: 0

  • page
    Integer

    Page number for paginated results, starting from 1 Page number for paginated results, starting from 1

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of CVE rules matching the query criteria

    Example: (nested array)

    • cveId
      String

      CVE identifier in standard format

      Example: CVE-2021-44228

    • severity
      String

      Severity level of the vulnerability

      Example: CVE_SEVERITY_UNSPECIFIED

    • cvssScore
      Long

      CVSS base score for this vulnerability

      Example: 9.8

    • description
      String

      Human-readable description of the vulnerability

      Example: Remote code execution via Log4Shell

    • affectedPackages
      List

      List of packages affected by this CVE rule

      Example: (nested array)

      • name
        String

        Package name affected by the CVE vulnerability

        Example: openssl

      • affectedVersionsRange
        String

        Version range expression describing affected versions

        Example: >=1.0.0,<1.1.1l

      • fixVersion
        String

        Version in which the vulnerability is fixed

        Example: 1.1.1l

    • fixVersion
      String

      Version that resolves this CVE

      Example: 2.17.0

  • total
    Integer

    Total number of CVE rules matching the query

    Example: 1200

  • limit
    Integer

    Maximum number of items returned in this response

    Example: 20

  • offset
    Integer

    Number of items skipped before this page

    Example: 20